import { BuilderContextInterface } from "../../../context/types";
import { BuilderBlock } from "../../../types/builder-block";
type BlockWrapperProps = {
    Wrapper: string;
    block: BuilderBlock;
    context: BuilderContextInterface;
    children?: any;
};
/**
 * This component renders a block's wrapper HTML element (from the block's `tagName` property).
 */
export declare const BlockWrapper: import("@builder.io/qwik").Component<BlockWrapperProps>;
export default BlockWrapper;
