import { BuilderContextInterface } from "../../../context/types";
import { BuilderContent } from "../../../types/builder-content";
import { Dictionary } from "../../../types/typescript";
import { ContentProps } from "../content.types";
type BuilderEditorProps = Omit<ContentProps, "customComponents" | "apiVersion" | "isSsrAbTest" | "blocksWrapper" | "blocksWrapperProps" | "isNestedRender" | "linkComponent"> & {
    builderContextSignal: BuilderContextInterface;
    setBuilderContextSignal?: (signal: any) => any;
    children?: any;
};
export declare const mergeNewRootState: (props: any, state: any, showContentProps: any, elementRef: any, newData: Dictionary<any>) => void;
export declare const mergeNewContent: (props: any, state: any, showContentProps: any, elementRef: any, newContent: BuilderContent) => void;
export declare const processMessage: (props: any, state: any, showContentProps: any, elementRef: any, event: MessageEvent) => void;
export declare const evaluateJsCode: (props: any, state: any, showContentProps: any, elementRef: any) => void;
export declare const onClick: (props: any, state: any, showContentProps: any, elementRef: any, event: any) => void;
export declare const runHttpRequests: (props: any, state: any, showContentProps: any, elementRef: any) => void;
export declare const emitStateUpdate: (props: any, state: any, showContentProps: any, elementRef: any) => void;
export declare const EnableEditor: import("@builder.io/qwik").Component<BuilderEditorProps>;
export default EnableEditor;
